Unit AlgConst;
{ constantes du projet CALCALG }
{ K.B. dc 97 }

INTERFACE

Type
 { nombres }
 TDouble = LongInt;
 PDouble = ^TDouble;
 TName  = String[15];
 TStr80 = String[80];
 PStr80 = ^TStr80;

Const
 { couleurs }
 {FondNormal=clWhite;}    { fond d'une formule non slectionne }
 {FondSel=blue;}        { fond d'une formule slectionne }
 {TexteNormal=black;}   { couleur d'une formule non slectionne }
 {TexteSel1=lightgray;} { couleur de la partie non slectionne
                        d'une formule slectionne }
 {TexteSel2=yellow; }   { couleur de la partie slectionne
                        d'une formule slectionne }

 { commandes du menu principal }

 cmAjouter=2001;       { ajouter dans les 2 membres d'une quation }
 cmSoustraire=2002;    { soustraire dans les 2 membres d'une quation }
 cmMultiplier=2003;    { multiplier les 2 membres d'une quation }
 cmDiviser=2004;       { diviser les 2 membres d'une quation }
 cmMakeEgal= 2005;     { valuation complte d'une formule ou des
                         2 membres d'une galit }
 cmDuplique=2006;      { duplication d'une formule }
 cmSupprAll=2100;      { suppression de toutes les formules }
 cmInsertNode=2101;    { insertion d'une formule }
 cmSubstitue=2102;     { remplacement d'une variable par une formule }
 cmEditNode=2103;      { dition d'une formule }
 cmSupprNode=2104;     { suppression du noeud courant }
 cmMenuLocal=2105;     { activation du menu local }
 cmEnviron=2106;       { calcul approch }

 { commandes du menu local }
 cmCommute=2300;          { changement de place des termes }
 cmDistribue=2301;        { apllication de la distributivit }
 cmExpand=2302;           { remplacement des puissances par des produits }
 cmComDeno=2303;          { rduction au mme dnominateur }
 cmReduction=2304;        { rduction des termes }
 cmPremFact=2305;         { transformation en produit de facteurs premiers }
 cmTransposeGauche=2306;  { transposition vers la gauche }
 cmTransposeDroite=2307;  { transposition vers la droite }
 cmExpJoin=2308;          { calcul des puissances }
 cmAddMul=2309;           { rduire soustractions et divisions  des
                            additions et multiplications }
 cmFacteurCarre=2310;     { extraction un facteur carr }

 { commande des botes d'entre }
 cmVerifStr=2200;         { vrification syntaxique d'une chane }

 { constantes de calcul }
 MaxDouble=1000000000;    { nombre le plus grand accept }

 { types de noeuds }
 MaxTypeNoeud=15;

 _EQU=0;  { galit }
 _FUN=1;  { fonction }
 _ADD=2;  { addition }
 _SUB=3;  { soustraction }
 _MUL=4;  { multiplication }
 _DIV=5;  { division }
 _EXP=6;  { puissance }
 _VAR=7;  { variable }
 _NUM=8;  { valeur numrique entire }
 _DEC=9;  { nombre dcimal }
 _BAD=10; { erreur }
 _SPA=11; { parenthse ouvrante }
 _EPA=12; { parenthse fermante }
 _CMA=13; { virgule }
 _ENV=14; { gal approch }
 _TXT=15; { texte simple }

 { parenthses et virgule sont utiliss uniquement pendant l'interprtation }

 { symboles attachs aux types de noeuds }
 KName : array [0..MaxTypeNoeud] of Char =
    ('=','?','+','-','','/','^','?','?','d','!','(',')',',',#247{},'T');

 { niveaux de priorit des oprateurs }
 pr:array[0..MaxTypeNoeud] of Byte = (1,2,3,3,4,5,6,9,9,9,9,10,10,10,1,10);

 rpr:array[0..MaxTypeNoeud] of Byte= (0,1,2,2,4,4,6,8,8,8,8,1,2,2,0,10);


 { caractres }
 comma:Char=',';
 piname:Char='p'{227};
 ename:Char='e';
 iname:Char='i';
 errname:String[6]='ERREUR';         (* pour division par 0, etc.. *)

IMPLEMENTATION

BEGIN
END.

{                      Fin du fichier ALGCONST.PAS                          }
